Create scripts to run the Commons notification bot on Toolforge
Closed, ResolvedPublic2 Story Points

Description

  • Initial run of the bot
  • Periodical runs of the bot
    • Should archive old list files
  • Cleanup of old logs/list files
  • Garbage collection of old DB entries
MaxSem created this task.May 8 2018, 9:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 9:36 PM

Why are there list files? Are they gonna be too much to hold in memory? What's the database storing?

Max number of files for deletion is ~10k tops. The number of them to be notified about at once would be in the dozens. DB is for state, list files are for passing wrk data between the scripts.

Niharika set the point value for this task to 2.May 8 2018, 11:37 PM
MaxSem claimed this task.

Mostly done in 11730fc.

Mostly done in 11730fc.

I believe this is merged. Anything left to do here?

One thing that was discovered is that listfile archival breaks when there are none.

MaxSem closed this task as Resolved.Jun 14 2018, 2:21 AM

Done. Now, among other things, bin/first-run doesn't break bin/cronjob.

Vvjjkkii renamed this task from Create scripts to run the Commons notification bot on Toolforge to hcdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed MaxSem as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
Niharika renamed this task from hcdaaaaaaa to Create scripts to run the Commons notification bot on Toolforge.Jul 1 2018, 4:58 AM
Niharika closed this task as Resolved.
Niharika lowered the priority of this task from High to Normal.
Niharika assigned this task to MaxSem.
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 2.
Niharika added a subscriber: Aklapper.